Subject: Re: What's cooking in git.git (Aug 2025, #05; Mon, 11)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 12 Aug 2025 14:52:41 +0200

On Tue, Aug 12, 2025 at 01:29:45AM -0700, Junio C Hamano wrote:
> * ms/refs-list (2025-08-05) 6 commits
>  - t: add test for git refs list subcommand
>  - t6300: refactor tests to be shareable
>  - builtin/refs: add list subcommand
>  - builtin/for-each-ref: factor out core logic into a helper
>  - builtin/for-each-ref: align usage string with the man page
>  - doc: factor out common option
> 
>  The "list" subcommand of "git refs" acts as a front-end for
>  "git for-each-ref".
> 
>  Comments?
>  source: <[email-masked]>

I've reviewed this version and am happy with the result. From my point
of view it's ready to cook in 'next'.

> * ps/commit-graph-wo-globals (2025-08-07) 10 commits
>  - commit-graph: stop passing in redundant repository
>  - commit-graph: stop using `the_repository`
>  - commit-graph: stop using `the_hash_algo`
>  - commit-graph: refactor `parse_commit_graph()` to take a repository
>  - commit-graph: store the hash algorithm instead of its length
>  - commit-graph: stop using `the_hash_algo` via macros
>  - commit-graph: fix sign comparison warnings
>  - commit-graph: fix type for some write options
>  - commit-graph: stop using signed integers to count Bloom filters
>  - trace2: introduce function to trace unsigned integers
> 
>  Remove dependency on the_repository and other globals from the
>  commit-graph code, and other changes unrelated to de-globaling.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I don't intend to reroll this series for now. As long as you are happy
with the signedness-related patches I think this should be ready.

> * tc/t0450-harden (2025-08-08) 2 commits
>  . t0450: add allowlist for builtins with missing .adoc
>  . t0450: fix test for out-of-tree builds
> 
>  Test updates.
> 
>  Expecting a reroll?
>  cf. <[email-masked]>
>  source: <[email-masked]>

Toon is currently out of office, so this'll take a while to be rerolled.
I'll have a look at whether I can reconstruct the seemingly-missing
file.

> * en/ort-rename-fixes (2025-08-06) 7 commits
>  - merge-ort: fix directory rename on top of source of other rename/delete
>  - merge-ort: fix incorrect file handling
>  - merge-ort: clarify the interning of strings in opt->priv->path
>  - t6423: fix missed staging of file in testcases 12i,12j,12k
>  - t6423: document two bugs with rename-to-self testcases
>  - merge-ort: drop unnecessary temporary in check_for_directory_rename()
>  - merge-ort: update comments to modern testfile location
> 
>  Various bugs about rename handling in "ort" merge strategy have
>  been fixed.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

The patch series looks reasonable to me, but that's basically just going
by the commit messages. I wouldn't claim to really understand our merge
machinery, so my opinion is only of limited use.

Patrick